Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.ui.panels
Class ExtendedCellEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          javax.swing.DefaultCellEditor
              net.sf.j3d.threeD.ui.panels.ExtendedCellEditor

All Implemented Interfaces:
  Serializable, CellEditor, TableCellEditor, TreeCellEditor, DynamicDisplay

    public class ExtendedCellEditor

extends DefaultCellEditor
implements TableCellEditor, DynamicDisplay

An ExtendedCellEditor object can be used to allow a user to edit values in a table including instances of RGB and Vector.

See Also:
  Serialized Form

Constructor Summary
`ExtendedCellEditor()` Constructs a new ExtendedCellEditor object.

Method Summary
`Object` | `getCellEditorValue()`
`Component` | `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`
`void` | `updateDisplay()` Signals the completion of the editing operation.

Methods inherited from class javax.swing.DefaultCellEditor
`cancelCellEditing, getClickCountToStart, getComponent, getTreeCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell, stopCellEditing`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, getCellEditorListeners, removeCellEditorListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Constructor Detail

### ExtendedCellEditor

    public ExtendedCellEditor()

  Constructs a new ExtendedCellEditor object.

Method Detail

### getCellEditorValue

    public Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `CellEditor`
  Overrides:
    `getCellEditorValue` in class `DefaultCellEditor`
  Returns:
    The value stored by this ExtendedCellEditor object.

### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable table,
                                                 Object value,
                                                 boolean isSelected,
                                                 int row,
                                                 int column)

  Specified by:
    `getTableCellEditorComponent` in interface `TableCellEditor`
  Overrides:
    `getTableCellEditorComponent` in class `DefaultCellEditor`
  Returns:
    A Component for editing the specifed value.

### updateDisplay

    public void updateDisplay()

  Signals the completion of the editing operation.

  Specified by:
    `updateDisplay` in interface `DynamicDisplay`
  See Also:
    `AbstractCellEditor.fireEditingStopped()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD